SpeciesFileGroup SpeciesFileGroup

taxonworks

119 20 0

Workbench for biodiversity informatics.

You have 1 open security alert

Reports Beta

Name Score Result Status Created at Duration Details
brakeman F 67 high warnings succeeded 16 Dec 11:16 less than a minute

Dependencies

Package Locked Requirement Latest Status Changelog
Gems activerecord-postgis-adapter 5.1.0 ~> 5.1 5.1.0

activerecord-postgis-adapter version 5.1.0

ActiveRecord connection adapter for PostGIS. It is based on the stock PostgreSQL adapter, and adds built-in support for the spatial extensions provided by PostGIS. It uses the RGeo library to represent spatial data in Ruby.

This dependency is up-to-date. Congrats and keep going!

Gems acts_as_list 0.9.10 ~> 0.9.7 0.9.10

acts_as_list version 0.9.10

This "acts_as" extension provides the capabilities for sorting and reordering a number of objects in a list. The class that has this specified needs to have a "position" column defined as an integer on the mapped database table.

This dependency is up-to-date. Congrats and keep going!

Npms autoprefixer 7.2.2 ^7.2.2 7.2.3

autoprefixer version 7.2.2

Parse CSS and add vendor prefixes to CSS rules using values from the Can I Use website

This dependency is not matching latest version. Please consider upgrading.

Gems awesome_print 1.8.0 ~> 1.8 1.8.0

awesome_print version 1.8.0

Great Ruby dubugging companion: pretty print Ruby objects to visualize their structure. Supports custom object formatting via plugins

This dependency is up-to-date. Congrats and keep going!

Npms babel-core 6.26.0 ^6.26.0 6.26.0

babel-core version 6.26.0

Babel compiler core.

This dependency is up-to-date. Congrats and keep going!

Npms babel-loader 7.1.2 ^7.1.2 7.1.2

babel-loader version 7.1.2

babel module loader for webpack

This dependency is up-to-date. Congrats and keep going!

Npms babel-plugin-syntax-async-functions 6.13.0 ^6.13.0 6.13.0

babel-plugin-syntax-async-functions version 6.13.0

Allow parsing of async functions

This dependency is up-to-date. Congrats and keep going!

Npms babel-plugin-syntax-dynamic-import 6.18.0 ^6.18.0 6.18.0

babel-plugin-syntax-dynamic-import version 6.18.0

Allow parsing of import()

This dependency is up-to-date. Congrats and keep going!

Npms babel-plugin-transform-class-properties 6.24.1 ^6.24.1 6.24.1

babel-plugin-transform-class-properties version 6.24.1

This plugin transforms static class properties as well as properties declared with the property initializer syntax

This dependency is up-to-date. Congrats and keep going!

Npms babel-plugin-transform-regenerator 6.26.0 ^6.26.0 6.26.0

babel-plugin-transform-regenerator version 6.26.0

Explode async and generator functions into a state machine.

This dependency is up-to-date. Congrats and keep going!

Npms babel-polyfill 6.26.0 ^6.26.0 6.26.0

babel-polyfill version 6.26.0

Provides polyfills necessary for a full ES2015+ environment

This dependency is up-to-date. Congrats and keep going!

Npms babel-preset-env 1.6.1 ^1.6.1 1.6.1

babel-preset-env version 1.6.1

A Babel preset for each environment.

This dependency is up-to-date. Congrats and keep going!

Npms babel-preset-stage-0 6.24.1 ^6.24.1 6.24.1

babel-preset-stage-0 version 6.24.1

Babel preset for stage 0 plugins

This dependency is up-to-date. Congrats and keep going!

Npms babelify 8.0.0 ^8.0.0 8.0.0

babelify version 8.0.0

Babel browserify transform

This dependency is up-to-date. Congrats and keep going!

Gems bcrypt 3.1.11 ~> 3.1.11 3.1.11

bcrypt version 3.1.11

bcrypt() is a sophisticated and secure hash algorithm designed by The OpenBSD project for hashing passwords. The bcrypt Ruby gem provides a simple wrapper for safely handling passwords.

This dependency is up-to-date. Congrats and keep going!

Gems best_in_place 3.1.1 ~> 3.1.1 3.1.1

best_in_place version 3.1.1

BestInPlace is a jQuery script and a Rails helper that provide the method best_in_place to display any object field easily editable for the user by just clicking on it. It supports input data, text data, boolean data and custom dropdown data. It works with RESTful controllers.

This dependency is up-to-date. Congrats and keep going!

Gems bibtex-ruby 4.4.4 ~> 4.4.4 4.4.4

bibtex-ruby version 4.4.4

BibTeX-Ruby is the Rubyist's swiss-army-knife for all things BibTeX. It includes a parser for all common BibTeX objects (@string, @preamble, @comment and regular entries) and a sophisticated name parser that tokenizes correctly formatted names; BibTeX-Ruby recognizes BibTeX string replacements, joins values containing multiple strings or variables, supports cross-references, and decodes common LaTeX formatting instructions to unicode; if you are in a hurry, it also allows for easy export/conversion to formats such as YAML, JSON, CSL, and XML (BibTeXML).

This dependency is up-to-date. Congrats and keep going!

Gems biodiversity 3.4.2 ~> 3.4.2 3.4.2

biodiversity version 3.4.2

Tools for biodiversity informatics

This dependency is up-to-date. Congrats and keep going!

Npms browser-request 0.3.3 ^0.3.3 0.3.3

browser-request version 0.3.3

Browser port of the Node.js 'request' package

This dependency is up-to-date. Congrats and keep going!

Gems byebug 9.1.0 ~> 9.1.0 9.1.0

byebug version 9.1.0

Byebug is a Ruby debugger. It's implemented using the TracePoint C API for execution control and the Debug Inspector C API for call stack navigation. The core component provides support that front-ends can build on. It provides breakpoint handling and bindings for stack frames among other things and it comes with an easy to use command line interface.

This dependency is up-to-date. Congrats and keep going!

Gems capistrano-npm 1.0.2 ~> 1.0.2 1.0.2

capistrano-npm version 1.0.2

npm support for Capistrano 3.x

This dependency is up-to-date. Congrats and keep going!

Gems chartkick 2.2.5 ~> 2.2.4 2.2.5

chartkick version 2.2.5

Create beautiful JavaScript charts with one line of Ruby

This dependency is up-to-date. Congrats and keep going!

Gems chronic 0.10.2 ~> 0.10.2 0.10.2

chronic version 0.10.2

Chronic is a natural language date/time parser written in pure Ruby.

This dependency is up-to-date. Congrats and keep going!

Gems citeproc-ruby 1.1.8 ~> 1.1.7 1.1.8

citeproc-ruby version 1.1.8

CiteProc-Ruby is a Citation Style Language (CSL) 1.0.1 compatible cite processor implementation written in pure Ruby.

This dependency is up-to-date. Congrats and keep going!

Gems closure_tree 6.6.0 ~> 6.6 6.6.0

closure_tree version 6.6.0

Easily and efficiently make your ActiveRecord model support hierarchies

This dependency is up-to-date. Congrats and keep going!

Npms compression-webpack-plugin 1.0.1 ^1.0.1 1.1.2

compression-webpack-plugin version 1.0.1

Prepare compressed versions of assets to serve them with Content-Encoding

This dependency is not matching latest version. Please consider upgrading.

Gems csl 1.4.5 ~> 1.4.5 1.4.5

csl version 1.4.5

A Ruby parser and full API for the Citation Style Language (CSL), an open XML-based language to describe the formatting of citations and bibliographies.

This dependency is up-to-date. Congrats and keep going!

Gems csl-styles 1.0.1.8 ~> 1.0.1.8 1.0.1.8

csl-styles version 1.0.1.8

The official Citation Style Language (CSL) styles and locale files.

This dependency is up-to-date. Congrats and keep going!

Npms css-loader 0.28.7 ^0.28.7 0.28.7

css-loader version 0.28.7

css loader module for webpack

This dependency is up-to-date. Congrats and keep going!

Gems daemons 1.2.5 ~> 1.2.4 1.2.5

daemons version 1.2.5

Daemons provides an easy way to wrap existing ruby scripts (for example a self-written server) to be run as a daemon and to be controlled by simple start/stop/restart commands. You can also call blocks as daemons and control them from the parent or just daemonize the current process. Besides this basic functionality, daemons offers many advanced features like exception backtracing and logging (in case your ruby script crashes) and monitoring and automatic restarting of your processes if they crash.

This dependency is up-to-date. Congrats and keep going!

Gems delayed_job_active_record 4.1.2 ~> 4.1.2 4.1.2

delayed_job_active_record version 4.1.2

ActiveRecord backend for Delayed::Job, originally authored by Tobias Lütke

This dependency is up-to-date. Congrats and keep going!

Gems dropzonejs-rails 0.8.2 ~> 0.8.1 0.8.2

dropzonejs-rails version 0.8.2

Adds Dropzone, a great JS File upload by Matias Meno, to the Rails Asset pipeline.

This dependency is up-to-date. Congrats and keep going!

Gems dwc-archive 0.9.11 ~> 0.9.11 0.9.11

dwc-archive version 0.9.11

Darwin Core Archive is the current standard exchange format for GLobal Names Architecture modules. This gem makes it easy to incorporate files in Darwin Core Archive format into a ruby project.

This dependency is up-to-date. Congrats and keep going!

Gems exception_notification 4.2.2 ~> 4.2.1 4.2.2

exception_notification version 4.2.2

Exception notification for Rails apps

This dependency is up-to-date. Congrats and keep going!

Gems execjs 2.7.0 ~> 2.7.0 2.7.0

execjs version 2.7.0

ExecJS lets you run JavaScript code from Ruby.

This dependency is up-to-date. Congrats and keep going!

Npms extract-text-webpack-plugin 3.0.2 ^3.0.2 3.0.2

extract-text-webpack-plugin version 3.0.2

Extract text from bundle into a file.

This dependency is up-to-date. Congrats and keep going!

Gems ffi-geos 1.2.1 ~> 1.2.0 1.2.1

ffi-geos version 1.2.1

An ffi wrapper for GEOS, a C++ port of the Java Topology Suite (JTS).

This dependency is up-to-date. Congrats and keep going!

Npms file-loader 1.1.5 ^1.1.5 1.1.6

file-loader version 1.1.5

file loader module for webpack

This dependency is not matching latest version. Please consider upgrading.

Npms glob 7.1.2 ^7.1.2 7.1.2

glob version 7.1.2

a little globber

This dependency is up-to-date. Congrats and keep going!

Gems groupdate 3.2.0 ~> 3.2 3.2.0

groupdate version 3.2.0

The simplest way to group temporal data

This dependency is up-to-date. Congrats and keep going!

Gems hiredis 0.6.1 ~> 0.6.1 0.6.1

hiredis version 0.6.1

Ruby wrapper for hiredis (protocol serialization/deserialization and blocking I/O)

This dependency is up-to-date. Congrats and keep going!

Gems indefinite_article 0.2.4 ~> 0.2.4 0.2.4

indefinite_article version 0.2.4

Adds indefinite article methods to String and Symbol

This dependency is up-to-date. Congrats and keep going!

Gems jbuilder 2.7.0 ~> 2.7 2.7.0

jbuilder version 2.7.0

Create JSON structures via a Builder-style DSL

This dependency is up-to-date. Congrats and keep going!

Gems jquery-rails 4.3.1 ~> 4.3.1 4.3.1

jquery-rails version 4.3.1

This gem provides jQuery and the jQuery-ujs driver for your Rails 4+ application.

This dependency is up-to-date. Congrats and keep going!

Gems jquery-turbolinks 2.1.0 ~> 2.1 2.1.0

jquery-turbolinks version 2.1.0

jQuery plugin for drop-in fix binded events problem caused by Turbolinks

This dependency is up-to-date. Congrats and keep going!

Gems jquery-ui-rails 6.0.1 ~> 6.0.1 6.0.1

jquery-ui-rails version 6.0.1

jQuery UI's JavaScript, CSS, and image files packaged for the Rails 3.1+ asset pipeline

This dependency is up-to-date. Congrats and keep going!

Npms js-yaml 3.10.0 ^3.10.0 3.10.0

js-yaml version 3.10.0

YAML 1.2 parser and serializer

This dependency is up-to-date. Congrats and keep going!

Gems kaminari 1.1.1 ~> 1.1.1 1.1.1

kaminari version 1.1.1

Kaminari is a Scope & Engine based, clean, powerful, agnostic, customizable and sophisticated paginator for Rails 4+

This dependency is up-to-date. Congrats and keep going!

Gems logic_tools 0.3.9 >= 0 0.3.9

logic_tools version 0.3.9

LogicTools is a set of command-line tools for processing logic expressions. The tools include: simplify_qm for simplifying a logic expression, simplify_es for simplifying a logic expression much more quickly than simplify_qm, std_conj for computing the conjunctive normal form of a logic expression, std_dij for computing the disjunctive normal form a of logic expression, truth_tbl for generating the truth table of a logic expression, is_tautology for checking if a logic expression is a tautology or not, and complement for computing the complement of a logic expression.

This dependency is up-to-date. Congrats and keep going!

Gems logical_query_parser 0.2.0 >= 0 0.2.0

logical_query_parser version 0.2.0

A parser to generate a tree structure from a logical query string using treetop.

This dependency is up-to-date. Congrats and keep going!

Gems mail 2.7.0 ~> 2.7.0.rc1 2.7.0

mail version 2.7.0

A really Ruby Mail handler.

This dependency is up-to-date. Congrats and keep going!

Gems modularity 2.0.1 ~> 2.0.1 2.0.1

modularity version 2.0.1

Traits and partial classes for Ruby

This dependency is up-to-date. Congrats and keep going!

Npms node-sass 4.7.2 ^4.7.2 4.7.2

node-sass version 4.7.2

Wrapper around libsass

This dependency is up-to-date. Congrats and keep going!

Gems paper_trail 8.1.0 ~> 8.1.0 8.1.1

paper_trail version 8.1.0

Track changes to your models, for auditing or versioning. See how a model looked at any stage in its lifecycle, revert it to any version, or restore it after it has been destroyed.

This dependency is not matching latest version. Please consider upgrading.

Gems paperclip 5.1.0 ~> 5.1 5.1.0

paperclip version 5.1.0

Easy upload management for ActiveRecord

This dependency is up-to-date. Congrats and keep going!

Gems paperclip-meta 3.0.0 ~> 3.0 3.0.0

paperclip-meta version 3.0.0

Add width, height and size methods to paperclip images

This dependency is up-to-date. Congrats and keep going!

Gems passenger 5.1.12 ~> 5.1.7 5.1.12

passenger version 5.1.12

A modern web server and application server for Ruby, Python and Node.js, optimized for performance, low memory usage and ease of use.

This dependency is up-to-date. Congrats and keep going!

Npms path-complete-extname 0.1.0 ^0.1.0 0.1.0

path-complete-extname version 0.1.0

path.extname implementation adapted to also include multiple dots extensions.

This dependency is up-to-date. Congrats and keep going!

Gems pdf-reader 2.0.0 ~> 2.0 2.0.0

pdf-reader version 2.0.0

The PDF::Reader library implements a PDF parser conforming as much as possible to the PDF specification from Adobe

This dependency is up-to-date. Congrats and keep going!

Gems pg 0.21.0 ~> 0.21.0 0.21.0

pg version 0.21.0

Pg is the Ruby interface to the {PostgreSQL RDBMS}[http://www.postgresql.org/]. It works with {PostgreSQL 9.1 and later}[http://www.postgresql.org/support/versioning/]. A small example usage: #!/usr/bin/env ruby require 'pg' # Output a table of current connections to the DB conn = PG.connect( dbname: 'sales' ) conn.exec( "SELECT * FROM pg_stat_activity" ) do |result| puts " PID | User | Query" result.each do |row| puts " %7d | %-16s | %s " % row.values_at('procpid', 'usename', 'current_query') end end

This dependency is up-to-date. Congrats and keep going!

Npms postcss-loader 2.0.9 ^2.0.9 2.0.9

postcss-loader version 2.0.9

PostCSS loader for webpack

This dependency is up-to-date. Congrats and keep going!

Npms postcss-smart-import 0.7.6 ^0.7.6 0.7.6

postcss-smart-import version 0.7.6

PostCSS plugin to import CSS/SugarSS files

This dependency is up-to-date. Congrats and keep going!

Gems postgresql_cursor 0.6.1 ~> 0.6.1 0.6.1

postgresql_cursor version 0.6.1

PostgreSQL Cursor is an extension to the ActiveRecord PostgreSQLAdapter for very large result sets. It provides a cursor open/fetch/close interface to access data without loading all rows into memory, and instead loads the result rows in "chunks" (default of 1_000 rows), buffers them, and returns the rows one at a time.

This dependency is up-to-date. Congrats and keep going!

Npms precss 2.0.0 ^2.0.0 2.0.0

precss version 2.0.0

Use Sass-like markup in your CSS

This dependency is up-to-date. Congrats and keep going!

Gems psych 2.2.4 ~> 2.2.4 3.0.1

psych version 2.2.4

Psych is a YAML parser and emitter. Psych leverages libyaml[http://pyyaml.org/wiki/LibYAML] for its YAML parsing and emitting capabilities. In addition to wrapping libyaml, Psych also knows how to serialize and de-serialize most Ruby objects to and from the YAML format.

This dependency is not matching latest version. Please consider upgrading.

Gems rabl 0.13.1 ~> 0.13.1 0.13.1

rabl version 0.13.1

General ruby templating with json, bson, xml and msgpack support

This dependency is up-to-date. Congrats and keep going!

Gems rack-cors 1.0.2 ~> 1.0.1 1.0.2

rack-cors version 1.0.2

Middleware that will make Rack-based apps CORS compatible. Read more here: http://blog.sourcebender.com/2010/06/09/introducin-rack-cors.html. Fork the project here: https://github.com/cyu/rack-cors

This dependency is up-to-date. Congrats and keep going!

Gems rails 5.1.4 ~> 5.1.4 5.1.4

rails version 5.1.4

Ruby on Rails is a full-stack web framework optimized for programmer happiness and sustainable productivity. It encourages beautiful code by favoring convention over configuration.

This dependency is up-to-date. Congrats and keep going!

Npms rails-erb-loader 5.2.1 ^5.2.1 5.2.1

rails-erb-loader version 5.2.1

Embedded Ruby (`.erb`) `webpack` loader for Ruby projects.

This dependency is up-to-date. Congrats and keep going!

Gems rails-jquery-autocomplete 1.0.3 ~> 1.0.3 1.0.3

rails-jquery-autocomplete version 1.0.3

Use jQuery's autocomplete plugin with Rails 4+.

This dependency is up-to-date. Congrats and keep going!

Gems rainbow 2.2.2 ~> 2.2.2 3.0.0

rainbow version 2.2.2

Colorize printed text on ANSI terminals

This dependency is not matching latest version. Please consider upgrading.

Gems rake 12.3.0 ~> 12.0 12.3.0

rake version 12.3.0

Rake is a Make-like program implemented in Ruby. Tasks and dependencies are specified in standard Ruby syntax. Rake has the following features: * Rakefiles (rake's version of Makefiles) are completely defined in standard Ruby syntax. No XML files to edit. No quirky Makefile syntax to worry about (is that a tab or a space?) * Users can specify tasks with prerequisites. * Rake supports rule patterns to synthesize implicit tasks. * Flexible FileLists that act like arrays but know about manipulating file names and paths. * Supports parallel execution of tasks.

This dependency is up-to-date. Congrats and keep going!

Gems redcarpet 3.4.0 ~> 3.4 3.4.0

redcarpet version 3.4.0

A fast, safe and extensible Markdown to (X)HTML parser

This dependency is up-to-date. Congrats and keep going!

Gems redis 4.0.1 ~> 4.0.0 4.0.1

redis version 4.0.1

A Ruby client that tries to match Redis' API one-to-one, while still providing an idiomatic interface.

This dependency is up-to-date. Congrats and keep going!

Gems ref2bibtex 0.2.1 ~> 0.2.1 0.2.1

ref2bibtex version 0.2.1

Ok, maybe a bit more, you can pass a DOI and get the bibtex string back too.

This dependency is up-to-date. Congrats and keep going!

Npms resolve-url-loader 2.2.0 ^2.2.0 2.2.1

resolve-url-loader version 2.2.0

Webpack loader that resolves relative paths in url() statements based on the original source file

This dependency is not matching latest version. Please consider upgrading.

Gems responders 2.4.0 ~> 2.4 2.4.0

responders version 2.4.0

A set of Rails responders to dry up your application

This dependency is up-to-date. Congrats and keep going!

Gems rgeo 1.0.0 ~> 1.0.0 1.0.0

rgeo version 1.0.0

RGeo is a geospatial data library for Ruby. It provides an implementation of the Open Geospatial Consortium's Simple Features Specification, used by most standard spatial/geographic data storage systems such as PostGIS. A number of add-on modules are also available to help with writing location-based applications using Ruby-based frameworks such as Ruby On Rails.

This dependency is up-to-date. Congrats and keep going!

Gems rgeo-geojson 1.0.0 ~> 1.0.0 1.0.0

rgeo-geojson version 1.0.0

Convert RGeo data to and from GeoJSON. rgeo-geojson is an extension to the rgeo gem that converts RGeo data types to and from GeoJSON.

This dependency is up-to-date. Congrats and keep going!

Gems rgeo-proj4 1.0.0 >= 0 1.0.0

rgeo-proj4 version 1.0.0

Proj4 extension for rgeo.

This dependency is up-to-date. Congrats and keep going!

Gems rmagick 2.16.0 ~> 2.16 2.16.0

rmagick version 2.16.0

RMagick is an interface between Ruby and ImageMagick.

This dependency is up-to-date. Congrats and keep going!

Gems ruby-units 2.2.1 ~> 2.2.0 2.2.1

ruby-units version 2.2.1

Provides classes and methods to perform unit math and conversions

This dependency is up-to-date. Congrats and keep going!

Gems rubyzip 1.2.1 ~> 1.2.1 1.2.1

rubyzip version 1.2.1

rubyzip is a ruby module for reading and writing zip files

This dependency is up-to-date. Congrats and keep going!

Npms sass-loader 6.0.6 ^6.0.6 6.0.6

sass-loader version 6.0.6

Sass loader for webpack

This dependency is up-to-date. Congrats and keep going!

Gems sass-rails 5.0.7 ~> 5.0.6 5.0.7

sass-rails version 5.0.7

Sass adapter for the Rails asset pipeline.

This dependency is up-to-date. Congrats and keep going!

Npms sortablejs 1.7.0 ^1.7.0 1.7.0

sortablejs version 1.7.0

Minimalist JavaScript library for reorderable drag-and-drop lists on modern browsers and touch devices. No jQuery. Supports AngularJS and any CSS library, e.g. Bootstrap.

This dependency is up-to-date. Congrats and keep going!

Gems sprockets 3.7.1 ~> 3.7.1 3.7.1

sprockets version 3.7.1

Sprockets is a Rack-based asset packaging system that concatenates and serves JavaScript, CoffeeScript, CSS, LESS, Sass, and SCSS.

This dependency is up-to-date. Congrats and keep going!

Gems sprockets-es6 0.9.2 ~> 0.9.2 0.9.2

sprockets-es6 version 0.9.2

A Sprockets transformer that converts ES6 code into vanilla ES5 with Babel JS.

This dependency is up-to-date. Congrats and keep going!

Gems sprockets-rails 3.2.1 ~> 3.2.0 3.2.1

sprockets-rails version 3.2.1

Sprockets Rails integration

This dependency is up-to-date. Congrats and keep going!

Gems sqed 0.3.2 = 0.3.2 0.3.2

sqed version 0.3.2

A utility gem to aid in the processing of images taken in the process of digitizing natural history collections.

This dependency is up-to-date. Congrats and keep going!

Npms style-loader 0.19.0 ^0.19.0 0.19.1

style-loader version 0.19.0

style loader module for webpack

This dependency is not matching latest version. Please consider upgrading.

Npms stylus 0.54.5 ^0.54.5 0.54.5

stylus version 0.54.5

Robust, expressive, and feature-rich CSS superset

This dependency is up-to-date. Congrats and keep going!

Npms stylus-loader 3.0.1 ^3.0.1 3.0.1

stylus-loader version 3.0.1

Stylus loader for webpack

This dependency is up-to-date. Congrats and keep going!

Gems taxonifi 0.4.0 = 0.4.0 0.4.0

taxonifi version 0.4.0

Taxonifi contains simple models and utilties of use in for parsing lists of taxonomic name (life) related metadata or other heirarchically defined data.

This dependency is up-to-date. Congrats and keep going!

Gems term-ansicolor 1.6.0 ~> 1.6 1.6.0

term-ansicolor version 1.6.0

This library uses ANSI escape sequences to control the attributes of terminal output

This dependency is up-to-date. Congrats and keep going!

Gems thor 0.19.4 ~> 0.19.4 0.20.0

thor version 0.19.4

Thor is a toolkit for building powerful command-line interfaces.

This dependency is not matching latest version. Please consider upgrading.

Npms tough-cookie 2.3.3 ^2.3.3 2.3.3

tough-cookie version 2.3.3

RFC6265 Cookies and Cookie Jar for node.js

This dependency is up-to-date. Congrats and keep going!

Gems turbolinks 5.0.1 ~> 5.0.1 5.0.1

turbolinks version 5.0.1

Rails engine for Turbolinks 5 support

This dependency is up-to-date. Congrats and keep going!

Gems tzinfo-data 1.2017.3 ~> 1.2017.2 1.2017.3

tzinfo-data version 1.2017.3

TZInfo::Data contains data from the IANA Time Zone database packaged as Ruby modules for use with TZInfo.

This dependency is up-to-date. Congrats and keep going!

Gems uglifier 4.0.1 ~> 4.0.1 4.0.2

uglifier version 4.0.1

Uglifier minifies JavaScript files by wrapping UglifyJS to be accessible in Ruby

This dependency is not matching latest version. Please consider upgrading.

Gems validates_timeliness 4.0.2 ~> 4.0.2 4.0.2

validates_timeliness version 4.0.2

Adds validation methods to ActiveModel for validating dates and times. Works with multiple ORMS.

This dependency is up-to-date. Congrats and keep going!

Npms vue 2.5.9 ^2.5.9 2.5.11

vue version 2.5.9

Reactive, component-oriented view layer for modern web interfaces.

This dependency is not matching latest version. Please consider upgrading.

Npms vue-loader 13.5.0 ^13.5.0 13.6.0

vue-loader version 13.5.0

Vue single-file component loader for Webpack

This dependency is not matching latest version. Please consider upgrading.

Npms vue-resource 1.3.4 ^1.3.4 1.3.4

vue-resource version 1.3.4

The HTTP client for Vue.js

This dependency is up-to-date. Congrats and keep going!

Npms vue-shortkey 3.0.2 ^3.0.2 3.0.3

vue-shortkey version 3.0.2

A plugin for VueJS 2.x accepts shortcuts globaly and in a single listener.

This dependency is not matching latest version. Please consider upgrading.

Npms vue-template-compiler 2.5.9 ^2.5.9 2.5.11

vue-template-compiler version 2.5.9

template compiler for Vue 2.0

This dependency is not matching latest version. Please consider upgrading.

Npms vuedraggable 2.15.0 ^2.15.0 2.15.0

vuedraggable version 2.15.0

draggable component for vue

This dependency is up-to-date. Congrats and keep going!

Npms vueify 9.4.1 ^9.4.1 9.4.1

vueify version 9.4.1

Vue component transform for Browserify

This dependency is up-to-date. Congrats and keep going!

Npms vuex 3.0.1 ^3.0.1 3.0.1

vuex version 3.0.1

state management for Vue.js

This dependency is up-to-date. Congrats and keep going!

Npms webpack 3.10.0 ^3.10.0 3.10.0

webpack version 3.10.0

Packs CommonJs/AMD modules for the browser. Allows to split your codebase into multiple bundles, which can be loaded on demand. Support loaders to preprocess files, i.e. json, jsx, es7, css, less, ... and your custom stuff.

This dependency is up-to-date. Congrats and keep going!

Npms webpack-manifest-plugin 1.3.2 ^1.3.2 1.3.2

webpack-manifest-plugin version 1.3.2

webpack plugin for generating asset manifests

This dependency is up-to-date. Congrats and keep going!

Npms webpack-merge 4.1.1 ^4.1.1 4.1.1

webpack-merge version 4.1.1

Variant of merge that's useful for webpack configuration

This dependency is up-to-date. Congrats and keep going!

Gems webpacker 3.0.2 ~> 3.0 3.2.0

webpacker version 3.0.2

Use webpack to manage app-like JavaScript modules in Rails

This dependency is not matching latest version. Please consider upgrading.

Package Locked Requirement Latest Status Changelog
Npms babel-plugin-transform-runtime 6.23.0 ^6.23.0 6.23.0

babel-plugin-transform-runtime version 6.23.0

Externalise references to helpers and builtins, automatically polyfilling your code without polluting globals

This dependency is up-to-date. Congrats and keep going!

Npms babel-runtime 6.26.0 ^6.26.0 6.26.0

babel-runtime version 6.26.0

babel selfContained runtime

This dependency is up-to-date. Congrats and keep going!

Gems better_errors 2.4.0 ~> 2.3 2.4.0

better_errors version 2.4.0

Provides a better error page for Rails and other Rack apps. Includes source code inspection, a live REPL and local/instance variable inspection for all stack frames.

This dependency is up-to-date. Congrats and keep going!

Gems binding_of_caller 0.7.3 >= 0 0.7.3

binding_of_caller version 0.7.3

Retrieve the binding of a method's caller. Can also retrieve bindings even further up the stack.

This dependency is up-to-date. Congrats and keep going!

Gems capybara 2.15.4 ~> 2.15.1 2.16.1

capybara version 2.15.4

Capybara is an integration testing tool for rack based web applications. It simulates how a user would interact with a website

This dependency is not matching latest version. Please consider upgrading.

Gems coveralls 0.8.21 ~> 0.8.21 0.8.21

coveralls version 0.8.21

A Ruby implementation of the Coveralls API.

This dependency is up-to-date. Congrats and keep going!

Gems database_cleaner 1.6.2 ~> 1.6.1 1.6.2

database_cleaner version 1.6.2

Strategies for cleaning databases. Can be used to ensure a clean state for testing.

This dependency is up-to-date. Congrats and keep going!

Gems factory_bot_rails 4.8.2 ~> 4.8.2 4.8.2

factory_bot_rails version 4.8.2

factory_bot_rails provides integration between factory_bot and rails 3 or newer (currently just automatic factory definition loading)

This dependency is up-to-date. Congrats and keep going!

Gems faker 1.8.5 ~> 1.8 1.8.5

faker version 1.8.5

Faker, a port of Data::Faker from Perl, is used to easily generate fake data: names, addresses, phone numbers, etc.

This dependency is up-to-date. Congrats and keep going!

Gems geckodriver-helper 0.0.4 ~> 0.0.3 0.0.4

geckodriver-helper version 0.0.4

Easy installation and use of geckodriver, that provides the HTTP API described by the WebDriver protocol to communicate with Gecko browsers, such as Firefox.

This dependency is up-to-date. Congrats and keep going!

Gems guard-rspec 4.7.3 ~> 4.7.3 4.7.3

guard-rspec version 4.7.3

Guard::RSpec automatically run your specs (much like autotest).

This dependency is up-to-date. Congrats and keep going!

Gems inch 0.7.1 ~> 0.7.1 0.7.1

inch version 0.7.1

Documentation measurement tool for Ruby, based on YARD.

This dependency is up-to-date. Congrats and keep going!

Gems parallel_tests 2.16.1 ~> 2.16.0 2.19.0

parallel_tests version 2.16.1

Run Test::Unit / RSpec / Cucumber / Spinach in parallel

This dependency is not matching latest version. Please consider upgrading.

Gems rails-controller-testing 1.0.2 ~> 1.0.2 1.0.2

rails-controller-testing version 1.0.2

Extracting `assigns` and `assert_template` from ActionDispatch.

This dependency is up-to-date. Congrats and keep going!

Gems rspec 3.7.0 ~> 3.6 3.7.0

rspec version 3.7.0

BDD for Ruby

This dependency is up-to-date. Congrats and keep going!

Gems rspec-activemodel-mocks 1.0.3 ~> 1.0.3 1.0.3

rspec-activemodel-mocks version 1.0.3

RSpec test doubles for ActiveModel and ActiveRecord

This dependency is up-to-date. Congrats and keep going!

Gems rspec-rails 3.7.2 ~> 3.6 3.7.2

rspec-rails version 3.7.2

rspec-rails is a testing framework for Rails 3+.

This dependency is up-to-date. Congrats and keep going!

Gems rubocop 0.50.0 ~> 0.50.0 0.52.0

rubocop version 0.50.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

This dependency is not matching latest version. Please consider upgrading.

Gems ruby-prof 0.16.2 ~> 0.16.2 0.16.2

ruby-prof version 0.16.2

ruby-prof is a fast code profiler for Ruby. It is a C extension and therefore is many times faster than the standard Ruby profiler. It supports both flat and graph profiles. For each method, graph profiles show how long the method ran, which methods called it and which methods it called. RubyProf generate both text and html and can output it to standard out or to a file.

This dependency is up-to-date. Congrats and keep going!

Gems selenium-webdriver 3.8.0 ~> 3.8 3.8.0

selenium-webdriver version 3.8.0

WebDriver is a tool for writing automated tests of websites. It aims to mimic the behaviour of a real user, and as such interacts with the HTML of the application.

This dependency is up-to-date. Congrats and keep going!

Gems spring-commands-rspec 1.0.4 ~> 1.0.4 1.0.4

spring-commands-rspec version 1.0.4

rspec command for spring

This dependency is up-to-date. Congrats and keep going!

Gems timecop 0.9.1 ~> 0.9.1 0.9.1

timecop version 0.9.1

A gem providing "time travel" and "time freezing" capabilities, making it dead simple to test time-dependent code. It provides a unified method to mock Time.now, Date.today, and DateTime.now in a single call.

This dependency is up-to-date. Congrats and keep going!

Gems vcr 3.0.3 ~> 3.0.3 4.0.0

vcr version 3.0.3

Record your test suite's HTTP interactions and replay them during future test runs for fast, deterministic, accurate tests.

This dependency is not matching latest version. Please consider upgrading.

Gems web-console 3.5.1 ~> 3.5.1 3.5.1

web-console version 3.5.1

A debugging tool for your Ruby on Rails applications.

This dependency is up-to-date. Congrats and keep going!

Gems webmock 3.0.1 ~> 3.0.1 3.1.1

webmock version 3.0.1

WebMock allows stubbing HTTP requests and setting expectations on HTTP requests.

This dependency is not matching latest version. Please consider upgrading.

Npms webpack-dev-server 2.9.7 ^2.9.7 2.9.7

webpack-dev-server version 2.9.7

Serves a webpack app. Updates the browser on changes.

This dependency is up-to-date. Congrats and keep going!